Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000152Scorched3DClientpublic2011-12-31 12:172012-06-05 23:49
Reporterjurikm 
Assigned Togcamp 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformamd64OSOpenindinaOS Version151
Product Version43.2a 
Target VersionFixed in Version 
Summary0000152: Few missing "const" in source code
DescriptionOn few places in the source code there are missing "const" keywords, breaking build with more precise C++ compiler.

Patch attached.
TagsNo tags attached.
Attached Filesdiff file icon scorched3d-03-const.diff [^] (4,056 bytes) 2011-12-31 12:17 [Show Content]

- Relationships

-  Notes
(0000189)
gcamp (administrator)
2012-02-06 17:19

Thanks jurikm, what compiler is this breaking on. So far I'm compiling on MacOS, Windows and a current linux distro (FC 16) and cannot find the issues? Or any idea if gcc can be enabled to be more picky?
(0000190)
jurikm (reporter)
2012-02-06 17:23

I am not sure if gcc can be forced to follow the rules more strictly. I am using Sun Studio (Oracle Studio now) on OpenIndiana (open Solaris fork). Oracle Studio is also available for Linux but I did not try it.
(0000222)
gcamp (administrator)
2012-06-05 23:49

Thanks this will be resolved in the next release.

- Issue History
Date Modified Username Field Change
2011-12-31 12:17 jurikm New Issue
2011-12-31 12:17 jurikm File Added: scorched3d-03-const.diff
2012-02-06 17:19 gcamp Note Added: 0000189
2012-02-06 17:23 jurikm Note Added: 0000190
2012-06-05 23:49 gcamp Note Added: 0000222
2012-06-05 23:49 gcamp Status new => resolved
2012-06-05 23:49 gcamp Resolution open => fixed
2012-06-05 23:49 gcamp Assigned To => gcamp


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker